import { csv } from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/srrajendran/datasets/auto-mpg.csv')
  .then(data => {
    data.forEach(d => {
    d.mpg = +d.mpg;
    d.cylinders = +d.cylinders;
    d.origin = d.origin;
    d.horsepower = +d.horsepower;
    d.weight = +d.weight;
    });
  return data;
});


